package com.zcloud.service.hiddenApi;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：隐患审核
 * 作者：luoxiaobao
 * 时间：2022-04-14
 * 官网：www.zcloudchina.com
 */
public interface HiddenExamineApiService {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public PageData save(PageData pd)throws Exception;
	PageData appSave(PageData pd) throws Exception;


	/**手机端打回保存
	 * @param pd
	 * @throws Exception
	 */
	public void saverepulse(PageData pd)throws Exception;

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception;

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception;

	/**修改确认打回的信息
	 * @param pd
	 * @throws Exception
	 */
	public void editrepulse(PageData pd)throws Exception;

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception;

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception;

	/**查询隐患确认打回的数据
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> findByHiddenId(PageData pd)throws Exception;


	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception;

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception;

	/**列表(全部)
	 * @param
	 * @throws Exception
	 */
	public List<PageData> listAllByHiddenId(String hiddenId)throws Exception;


	/** 特殊审核通过的时候使用，存意见 和 附件
	 * @param pd
	 * @throws Exception
	 */
	public void updateBySpecial(PageData pd)throws Exception;

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> listAndHidden(Page page)throws Exception;

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findByIdAndHidden(PageData pd)throws Exception;

	public PageData saveApp(PageData pd)throws Exception;

	/**通过隐患id删除数据
	 * @param pd
	 * @throws Exception
	 */
	public int deleteByHiddenId(PageData pd)throws Exception;

	/**
	 * pc的隐患确认信息初始化
	 * @param pd
	 * @return
	 * @throws Exception
	 */
	public PageData saveConfirm(PageData pd,String hiddenExamineType)throws Exception;

	/**
	 * 隐患打回
	 * @param hiddenId
	 * @param EXAMINE
	 * @throws Exception
	 */
	public int saveRepulseCheck(String hiddenId ,String EXAMINE)throws Exception;

	/**
	 *  当隐患整改的时候,隐患流程进行修改
	 */
	public int saveRectify(String hiddneId) throws Exception;

	/**
	 *  通过 审批
	 * @return
	 * @throws Exception
	 */
	public int adoptExamine(String hiddenexamineId ,String examine)throws Exception;
	/**
	 * 隐患打回
	 * @param hiddenId
	 * @param EXAMINE
	 * @throws Exception
	 */
	public int saveRepulseCheckApp(String hiddenId ,String EXAMINE,String loginUserId)throws Exception;
}

